Link Creative to Campaign
Link a creative to a campaign with an optional rotation weight.
curl -X POST "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/link" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"weight": 100
}'
import requests
import json
url = "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/link"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"weight": 100
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/link", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"weight": 100
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"weight": 100
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/link", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/creatives/crv_9a71/link')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"weight": 100
}'
response = http.request(request)
puts response.body
{
"result": "success"
}
/ad-manager/{pid}/campaigns/{cid}/creatives/{creativeId}/linkTarget server for requests. Edit to use your own host.
API key (sent in header)
ID of the Ad Manager project.
ID of the campaign.
ID of the creative to link or unlink.
The media type of the request body
Rotation weight for this creative within the campaign. Higher values are served more often relative to other linked creatives.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Rotation weight for this creative within the campaign. Higher values are served more often relative to other linked creatives.
100Responses
Operation outcome.
successerror